> ## Documentation Index
> Fetch the complete documentation index at: https://learn.servitly.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get spare-part-references
> Retrieves the list of spare-part-references.
This method returns 100 items at a time; to retrieve more items, multiple requests with an incremental page number must be performed.
Required permissions: READ_PRODUCT_MODEL, READ_SPARE_PART.
## OpenAPI
````json GET /v2/inventory/productModelSparePartDefinitionReferences
{
"openapi": "3.1.0",
"info": {
"title": "Servitly DPS API",
"version": "1.0.0"
},
"servers": [
{
"url": "https://api.servitly-sandbox.com",
"description": "[AWS SANDBOX]"
},
{
"url": "https://api.servitly.com",
"description": "[AWS PRODUCTION Ireland]"
},
{
"url": "https://api-ap.servitly.com",
"description": "[AWS Hong Kong]"
},
{
"url": "https://azapi.servitly-dev.com",
"description": "[AZURE DEV Frankfurt]"
},
{
"url": "https://azapi.servitly-staging.com",
"description": "[AZURE STAGING Frankfurt]"
},
{
"url": "https://azapi.servitly.com",
"description": "[AZURE PRODUCTION Frankfurt]"
}
],
"security": [
{
"bearerAuth": []
}
],
"tags": [
{
"name": "ACTIONS"
},
{
"name": "ALERTS"
},
{
"name": "API GATEWAY"
},
{
"name": "AUTHENTICATION"
},
{
"name": "AUTHORIZATIONS"
},
{
"name": "CUSTOMERS"
},
{
"name": "DATA IMPORT / EXPORT"
},
{
"name": "EVENTS"
},
{
"name": "LOCATIONS"
},
{
"name": "MAINTENANCE"
},
{
"name": "MAPPING"
},
{
"name": "METRIC DATA"
},
{
"name": "MOBILE APP"
},
{
"name": "ORGANIZATION"
},
{
"name": "PARTNERS"
},
{
"name": "PRODUCT MODELS"
},
{
"name": "SPARE PARTS"
},
{
"name": "STATISTICS"
},
{
"name": "STORE ORDERS"
},
{
"name": "SUBSCRIPTIONS"
},
{
"name": "SUBSCRIPTIONS (OLD)"
},
{
"name": "THING CONTROL"
},
{
"name": "THING DEFINITIONS"
},
{
"name": "THING MANAGEMENT"
},
{
"name": "THINGS"
},
{
"name": "TICKETS"
},
{
"name": "USER TYPES"
},
{
"name": "USERS"
},
{
"name": "WORK SESSIONS"
}
],
"paths": {
"/v2/inventory/productModelSparePartDefinitionReferences": {
"get": {
"summary": "Get spare-part-references",
"description": "Retrieves the list of spare-part-references.
This method returns 100 items at a time; to retrieve more items, multiple requests with an incremental page number must be performed.
Required permissions: READ_PRODUCT_MODEL, READ_SPARE_PART.",
"tags": [
"PRODUCT MODELS"
],
"parameters": [
{
"$ref": "#/components/parameters/tenantNameHeader"
},
{
"$ref": "#/components/parameters/productModelId"
},
{
"$ref": "#/components/parameters/productModelPartId"
},
{
"$ref": "#/components/parameters/pageSize"
},
{
"$ref": "#/components/parameters/page"
},
{
"$ref": "#/components/parameters/sort"
}
],
"responses": {
"200": {
"description": "Successful operation.",
"content": {
"application/json": {
"schema": {
"allOf": [
{
"type": "object",
"properties": {
"content": {
"type": "array",
"items": {
"$ref": "#/components/schemas/SparePartReference"
}
}
}
},
{
"$ref": "#/components/schemas/PaginatedResponse"
}
]
}
}
}
},
"401": {
"$ref": "#/components/responses/NotAuthenticated"
},
"403": {
"$ref": "#/components/responses/NotAuthorized"
},
"404": {
"$ref": "#/components/responses/NotFound"
},
"429": {
"$ref": "#/components/responses/ApiLimit"
},
"500": {
"$ref": "#/components/responses/IntError"
}
}
}
}
},
"components": {
"parameters": {
"tenantNameHeader": {
"in": "header",
"name": "X-Servitly-Tenant",
"required": "true",
"schema": {
"type": "string",
"example": "{{tenantName}}"
},
"description": "The name of the tenant (e.g. acme)."
},
"productModelId": {
"in": "query",
"name": "productModelId",
"required": "false",
"schema": {
"type": "string",
"example": "abcd1234"
},
"description": "Condition on product-model id."
},
"productModelPartId": {
"in": "query",
"name": "productModelPartId",
"required": "false",
"schema": {
"type": "string",
"example": "abcd1234"
},
"description": "Condition on product-model-part id."
},
"pageSize": {
"in": "query",
"name": "size",
"required": "false",
"schema": {
"type": "integer",
"minimum": "1"
},
"example": "200",
"description": "The number of elements to retrieve for the current page."
},
"page": {
"in": "query",
"name": "page",
"required": "false",
"schema": {
"type": "integer",
"minimum": "0"
},
"example": "0",
"description": "The page number to retrieve (zero-based)."
},
"sort": {
"in": "query",
"name": "sort",
"required": "false",
"schema": {
"type": "string",
"minimum": "0"
},
"example": "name,ASC",
"description": "The sorting criteria based on object properties."
}
},
"schemas": {
"SparePartReference": {
"type": "object",
"required": [
"productModelId",
"sparePartDefinitionId"
],
"properties": {
"id": {
"type": "string",
"description": "The spare-part object identifier.",
"readOnly": "true"
},
"sparePartDefinitionId": {
"type": "string",
"description": "The id of the referenced spare-part definition."
},
"productModelId": {
"type": "string",
"description": "The id of the product-model from which the spare-part is referenced."
},
"productModelPartId": {
"type": "string",
"description": "The optional id of the product-model-part from which the spare-part is referenced."
},
"group": {
"type": "string",
"description": "The optional group associated with the reference."
},
"quantity": {
"type": "integer",
"description": "The occurrences of the spare-part in this reference (default 1)."
},
"technicalSchemePosition": {
"type": "string",
"description": "The position identifier within the scheme of the parent element (product model or model part)."
}
}
},
"PaginatedResponse": {
"type": "object",
"properties": {
"first": {
"type": "boolean",
"description": "The flag indicating whether the page is the first one."
},
"last": {
"type": "boolean",
"description": "The flag indicating whether the last page has been reached."
},
"totalPages": {
"type": "integer",
"description": "The total number of pages."
},
"totalElements": {
"type": "integer",
"description": "The total number of elements."
},
"sort": {
"type": "string",
"description": "The current sorting criteria."
},
"numberOfElements": {
"type": "integer",
"description": "The number of elements in this page."
},
"size": {
"type": "integer",
"description": "The requested page size."
},
"number": {
"type": "integer",
"minimum": "0",
"description": "The number of the page (zero-based)."
}
}
}
},
"responses": {
"NotAuthenticated": {
"description": "User not authenticated.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "User not authenticated"
}
}
}
}
}
},
"NotAuthorized": {
"description": "User not authorized.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "User not authorized"
}
}
}
}
}
},
"NotFound": {
"description": "Resource was not found.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "Resource not found"
}
}
}
}
}
},
"ApiLimit": {
"description": "API call rate limit exceeded.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "API call rate limit exceeded"
}
}
}
}
}
},
"IntError": {
"description": "Internal server error.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "Internal Server Error"
}
}
}
}
}
}
},
"securitySchemes": {
"bearerAuth": {
"type": "http",
"scheme": "bearer"
}
}
}
}
````